<?php

/**
 * @file
 * Default theme implementation for a Project XML element.
 *
 * Available variables:
 * - $data['source_language']: The source language.
 * - $data['target_languages']: An array of target languages.
 * - $data['item_path']: An item path.
 * - $data['content_corrections']: An array or content corrections data keyed
 *   by field machine name.
 */
?>

<UpdateTMContent CT2SourceLanguageCode="<?php print($language_data['source_language']); ?>" CT2TargetLanguageCode="<?php print($language_data['target_language']); ?>">
  <?php foreach ($item_data as $item) : ?>
    <ContentCorrections ItemPath="<?php print($item['entity_path']); ?>">
      <?php foreach ($item['fields'] as $field_name => $field_row) : ?>
        <?php print PHP_EOL; ?>
        <ContentCorrection FieldName="<?php print $field_name; ?>">
          <SourceContent>
            <?php print($field_row['source_content']); ?>
          </SourceContent>
          <TargetContent>
            <?php print($field_row['target_content']); ?>
          </TargetContent>
        </ContentCorrection>
      <?php endforeach; ?>
      <?php print PHP_EOL; ?>
    </ContentCorrections>
  <?php endforeach; ?>
</UpdateTMContent>
